# Contributing to Gravity Wells

We are excited that you want to contribute to **Gravity Wells**! However, please note that **Gravity Wells** is a project hosted on **Gitstormr**, our private Git server, and only **Code Raiders** who have passed the technical trials and been accepted by the tribal leaders can contribute.

If you're a **Code Raider** and have been granted access to **Gitstormr**, please follow the steps below to contribute. If you haven't been accepted yet, you can reach out to the tribal leaders for further instructions.

## How to Contribute (For Code Raiders Only)

1. **Fork or Clone the Repository**
   If you have been granted access to **Gitstormr**, you can fork or clone the repository to your personal Gitstormr account.
   If you're part of the **Gravity Wells** organization in **Gitstormr**, you can simply clone the repository directly from the organization's account.
2. **Create a Feature Branch**
   Once you've forked or cloned the repo, create a feature branch to work on your changes. Use a descriptive name for your branch, such as:
   - `feature/implement-command-handler`
3. **Make Your Changes**
   - Write clear, concise commit messages.
   - Ensure your code adheres to the project's coding standards.
   - Run all tests and ensure everything is working before submitting your PR.
4. **Submit a Pull Request (PR)**
Once you've completed your work, submit a pull request. Be sure to:
   - Provide a clear description of what your PR changes.
   - Link to any relevant issues (e.g., "Fixes #123").
   - Mention any additional tests or documentation updates that are needed.
5. **Follow Code Style**
Gravity Wells follows certain coding conventions to maintain consistency and readability across the project. Please ensure your code adheres to the style defined in the project's guidelines.
6. **Testing**
We require that all code changes are covered by tests. The project has 100% test coverage, so please ensure your new code is well-tested.
Run all tests locally before submitting a pull request. You can do so with:
    ```bash
    go test ./...
    ```
7. **Documentation**
Any new functionality should include updates to the documentation as necessary. 
This includes updating README files or any other relevant documentation.

## Code of Conduct

By participating in this project, you agree to follow the [Code of Conduct](COC.md). This helps us maintain a welcoming environment for everyone involved.
Thank you for contributing to Gravity Wells, fellow Code Raider! Together, we will shape the future of systems.
If you are not yet part of Gitstormr or Gravity Wells, reach out to the tribal leaders for more information on how to become a Code Raider.